classification
Title: memoryview.size is redundant
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, benjamin.peterson, brett.cannon, pitrou, teoliphant
Priority: deferred blocker Keywords: needs review, patch

Created on 2008-09-09 22:18 by benjamin.peterson, last changed 2008-09-11 00:26 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
remove_size_attr.patch benjamin.peterson, 2008-09-09 23:01
Messages (5)
msg72929 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-09 22:18
memoryview.size will always be the same as len(view), so one or the
other should go. (probably .size)
msg72932 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-09-09 23:47
The patch is ok to me.
msg72938 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-10 02:39
Since this is a 3.0 thing I am dropping it down to a deferred blocker.
msg72988 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-10 21:47
Fixed in r66374.
msg72999 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-11 00:26
This causes test_ctypes to fail.
r66382 corrects the test to use len(v) instead of v.size
History
Date User Action Args
2008-09-11 00:26:45amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg72999
2008-09-10 21:47:23benjamin.petersonsetstatus: open -> closed
resolution: accepted
messages: + msg72988
2008-09-10 02:39:53brett.cannonsetpriority: release blocker -> deferred blocker
nosy: + brett.cannon
messages: + msg72938
2008-09-09 23:47:44pitrousetnosy: + pitrou
messages: + msg72932
2008-09-09 23:46:57pitrousetnosy: + teoliphant
2008-09-09 23:01:18benjamin.petersonsetkeywords: + needs review, patch
files: + remove_size_attr.patch
2008-09-09 22:18:41benjamin.petersoncreate